=== debian/changelog ===
deepin-event-log (2.1.2-1) unstable; urgency=medium

  * update

 -- Deepin Sysdev <sysdev@linuxdeepin.com>  Fri, 18 Oct 2024 13:21:04 +0800

deepin-event-log (1.0.0) unstable; urgency=medium

  * Initial release

 -- Deepin Sysdev <sysdev@linuxdeepin.com>  Thu, 10 Jun 2022 10:07:06 +0800
