=== debian/control ===
Source: deepin-event-log
Section: misc
Priority: optional
Maintainer: Deepin Sysdev <sysdev@linuxdeepin.com>
Build-Depends: 
 debhelper-compat (=11),
 g++ (>= 8.3.0),
 cmake(>=2.8),
 libglib2.0-dev
Standards-Version: 4.1.3
Homepage: http://www.linuxdeepin.com/

Package: deepin-event-log-daemon
Conflicts: deepin-user-experience-daemon
Replaces: deepin-user-experience-daemon
Provides: deepin-user-experience-daemon
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Deepin event-log daemon is a event log daemon.
 this is a daemon for event log, used to archive event log for application.

Package: deepin-event-log
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, deepin-event-log-daemon
Description: Deepin libdeepin-event-log is event log library.
 this is used with deepin-event-log daemon, used to send event log data to the daemon.
