=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- DEFINES+="VERSION=$(DEB_VERSION_UPSTREAM)"

override_dh_install:
	dh_install

override_dh_auto_clean:
	dh_auto_clean
